#!/bin/bash
# 
# Wizard
#
# Copyright (C) 2000 Mandrakesoft.
# 
# This program is free software; you can redistribute it and/or
# modify it under the terms of the GNU General Public License
# as published by the Free Software Foundation; either version 2
# of the License, or (at your option) any later version.
# See file LICENSE for further informations on licensing terms.
# 
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
# 
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
# 
# Authors: Jerome Dumonteil, Maurizio De Cecco, Enzo Maggi
# icons: Helene Durosini <ln@mandrakesoft.com>
# <corporate@mandrakesoft.com> http://www.mandrakesoft.com

#This script use the value of the variable $chooser1 (== 'local' or 'internet')
#as follows:
#
#if $chooser1 == 'local', 
#- call the standard time setting tool and then output the string "ciao"
#
#if $chooser1 == 'internet', 
# test the existence of the network.
# if it exists, call the script test_tools.sh
# else output 'page3'

# (if chooser1 is different from 'local' and 'internet', return an error code)



echo_debug "$(date) begin $0,  loading /etc/sysconfig/network"

. /etc/sysconfig/network

echo_debug "chooser1=${chooser1}"

[ -n "${chooser1}" ] || exit 1

timetool=`which clock.pm`

echo_debug "NETWORKING=${NETWORKING} chooser1=${chooser1} timetool=${timetool}"

case "${chooser1}" in
local)
    [ -x "${timetool}" ] || echo_debug "clock.pm not found" &&(echo "/usr/sbin/clock.pm not found" > /dev/stderr && exit -1)
    ${timetool}
    exit 1
    echo_debug "ciao"
    ;;    
internet)
    echo_debug "NETWORKING=${NETWORKING}"
    [ ${NETWORKING} = "no" ] && exit 2
    echo_debug "launching test_tools.sh"
    exec ${CWD}/scripts/test_tools.sh
    ;;
*)
    echo_debug "a bug ?"
    exit -1
esac

